diff --git a/src/pl/plpython/plpy_procedure.c b/src/pl/plpython/plpy_procedure.c
index 494f109b32..2c91e6df81 100644
--- a/src/pl/plpython/plpy_procedure.c
+++ b/src/pl/plpython/plpy_procedure.c
@@ -140,7 +140,7 @@ PLy_procedure_create(HeapTuple procTup, Oid fn_oid, bool is_trigger)
 	int			rv;
 	char	   *ptr;
 
-	procStruct = (Form_pg_proc) GETSTRUCT(procTup);
+	procStruct = GETSTRUCT(pg_proc, procTup);
 	rv = snprintf(procName, sizeof(procName),
 				  "__plpython_procedure_%s_%u",
 				  NameStr(procStruct->proname),
@@ -211,7 +211,7 @@ PLy_procedure_create(HeapTuple procTup, Oid fn_oid, bool is_trigger)
 			rvTypeTup = SearchSysCache1(TYPEOID, ObjectIdGetDatum(rettype));
 			if (!HeapTupleIsValid(rvTypeTup))
 				elog(ERROR, "cache lookup failed for type %u", rettype);
-			rvTypeStruct = (Form_pg_type) GETSTRUCT(rvTypeTup);
+			rvTypeStruct = GETSTRUCT(pg_type, rvTypeTup);
 
 			/* Disallow pseudotype result, except for void or record */
 			if (rvTypeStruct->typtype == TYPTYPE_PSEUDO)
@@ -298,7 +298,7 @@ PLy_procedure_create(HeapTuple procTup, Oid fn_oid, bool is_trigger)
 											 ObjectIdGetDatum(types[i]));
 				if (!HeapTupleIsValid(argTypeTup))
 					elog(ERROR, "cache lookup failed for type %u", types[i]);
-				argTypeStruct = (Form_pg_type) GETSTRUCT(argTypeTup);
+				argTypeStruct = GETSTRUCT(pg_type, argTypeTup);
 
 				/* disallow pseudotype arguments */
 				if (argTypeStruct->typtype == TYPTYPE_PSEUDO)
diff --git a/src/pl/tcl/pltcl.c b/src/pl/tcl/pltcl.c
index 0dd6d8ab2c..0161a9bb9c 100644
--- a/src/pl/tcl/pltcl.c
+++ b/src/pl/tcl/pltcl.c
@@ -628,7 +628,7 @@ call_pltcl_start_proc(Oid prolang, bool pltrusted)
 	procTup = SearchSysCache1(PROCOID, ObjectIdGetDatum(procOid));
 	if (!HeapTupleIsValid(procTup))
 		elog(ERROR, "cache lookup failed for function %u", procOid);
-	procStruct = (Form_pg_proc) GETSTRUCT(procTup);
+	procStruct = GETSTRUCT(pg_proc, procTup);
 
 	/* It must be same language as the function we're currently calling */
 	if (procStruct->prolang != prolang)
@@ -1405,7 +1405,7 @@ compile_pltcl_function(Oid fn_oid, Oid tgreloid,
 	procTup = SearchSysCache1(PROCOID, ObjectIdGetDatum(fn_oid));
 	if (!HeapTupleIsValid(procTup))
 		elog(ERROR, "cache lookup failed for function %u", fn_oid);
-	procStruct = (Form_pg_proc) GETSTRUCT(procTup);
+	procStruct = GETSTRUCT(pg_proc, procTup);
 
 	/*
 	 * Look up function in pltcl_proc_htab; if it's not there, create an entry
@@ -1527,7 +1527,7 @@ compile_pltcl_function(Oid fn_oid, Oid tgreloid,
 			typeTup = SearchSysCache1(TYPEOID, ObjectIdGetDatum(rettype));
 			if (!HeapTupleIsValid(typeTup))
 				elog(ERROR, "cache lookup failed for type %u", rettype);
-			typeStruct = (Form_pg_type) GETSTRUCT(typeTup);
+			typeStruct = GETSTRUCT(pg_type, typeTup);
 
 			/* Disallow pseudotype result, except VOID and RECORD */
 			if (typeStruct->typtype == TYPTYPE_PSEUDO)
@@ -1575,7 +1575,7 @@ compile_pltcl_function(Oid fn_oid, Oid tgreloid,
 				typeTup = SearchSysCache1(TYPEOID, ObjectIdGetDatum(argtype));
 				if (!HeapTupleIsValid(typeTup))
 					elog(ERROR, "cache lookup failed for type %u", argtype);
-				typeStruct = (Form_pg_type) GETSTRUCT(typeTup);
+				typeStruct = GETSTRUCT(pg_type, typeTup);
 
 				/* Disallow pseudotype argument, except RECORD */
 				if (typeStruct->typtype == TYPTYPE_PSEUDO &&
diff --git a/src/test/modules/plsample/plsample.c b/src/test/modules/plsample/plsample.c
index 780db7292a..8cc3118985 100644
--- a/src/test/modules/plsample/plsample.c
+++ b/src/test/modules/plsample/plsample.c
@@ -122,7 +122,7 @@ plsample_func_handler(PG_FUNCTION_ARGS)
 	 * Extract and print the source text of the function.  This can be used as
 	 * a base for the function validation and execution.
 	 */
-	pl_struct = (Form_pg_proc) GETSTRUCT(pl_tuple);
+	pl_struct = GETSTRUCT(pg_proc, pl_tuple);
 	proname = pstrdup(NameStr(pl_struct->proname));
 	ret = SysCacheGetAttr(PROCOID, pl_tuple, Anum_pg_proc_prosrc, &isnull);
 	if (isnull)
@@ -157,7 +157,7 @@ plsample_func_handler(PG_FUNCTION_ARGS)
 		if (!HeapTupleIsValid(type_tuple))
 			elog(ERROR, "cache lookup failed for type %u", argtype);
 
-		type_struct = (Form_pg_type) GETSTRUCT(type_tuple);
+		type_struct = GETSTRUCT(pg_type, type_tuple);
 		fmgr_info_cxt(type_struct->typoutput, &(arg_out_func[i]), proc_cxt);
 		ReleaseSysCache(type_tuple);
 
@@ -186,7 +186,7 @@ plsample_func_handler(PG_FUNCTION_ARGS)
 								 ObjectIdGetDatum(prorettype));
 	if (!HeapTupleIsValid(type_tuple))
 		elog(ERROR, "cache lookup failed for type %u", prorettype);
-	pg_type_entry = (Form_pg_type) GETSTRUCT(type_tuple);
+	pg_type_entry = GETSTRUCT(pg_type, type_tuple);
 	result_typioparam = getTypeIOParam(type_tuple);
 
 	fmgr_info_cxt(pg_type_entry->typinput, &result_in_func, proc_cxt);
@@ -239,7 +239,7 @@ plsample_trigger_handler(PG_FUNCTION_ARGS)
 	 * Extract and print the source text of the function.  This can be used as
 	 * a base for the function validation and execution.
 	 */
-	pl_struct = (Form_pg_proc) GETSTRUCT(pl_tuple);
+	pl_struct = GETSTRUCT(pg_proc, pl_tuple);
 	proname = pstrdup(NameStr(pl_struct->proname));
 	ret = SysCacheGetAttr(PROCOID, pl_tuple, Anum_pg_proc_prosrc, &isnull);
 	if (isnull)
-- 
2.36.1

